xmonad-extras-0.17.2: Third party extensions for xmonad with wacky dependencies

Copyright | (c) 2011 Ilya Portnov <portnov84@rambler.ru>
License | BSD3-style (see LICENSE)
Maintainer | Ilya Portnov <portnov84@rambler.ru>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Util.WindowPropertiesRE

Description

Similar to XMonad.Util.WindowProperties, but uses posix regular expressions matching instead of exact match.

Synopsis

- data PropertyRE = RE Property
- (~?) :: Functor f => f String -> String -> f Bool
- propertyToQueryRE :: Property -> Query Bool
- hasPropertyRE :: PropertyRE -> Window -> X Bool

# Documentation

data PropertyRE Source #

A wrapper for X.U.WindowProperties.Property. Checks using regular expression.

Constructors

RE Property |

#### Instances

Instances details

Read PropertyRE Source # |
Instance details Defined in XMonad.Util.WindowPropertiesRE Methods readsPrec :: Int -> ReadS PropertyRE Source # readList :: ReadS [PropertyRE] Source # readPrec :: ReadPrec PropertyRE Source # readListPrec :: ReadPrec [PropertyRE] Source #
Show PropertyRE Source # |
Instance details Defined in XMonad.Util.WindowPropertiesRE Methods showsPrec :: Int -> PropertyRE -> ShowS Source # show :: PropertyRE -> String Source # showList :: [PropertyRE] -> ShowS Source #
Predicate PropertyRE Window Source # |
Instance details Defined in XMonad.Util.WindowPropertiesRE Methods alwaysTrue :: Proxy Window -> PropertyRE Source # checkPredicate :: PropertyRE -> Window -> X Bool Source #

(~?) :: Functor f => f String -> String -> f Bool Source #

Regular expressions matching for ManageHooks

propertyToQueryRE :: Property -> Query Bool Source #

Similar to XMonad.Util.WindowProperties.propertyToQuery, but uses regexp match instead of exact match

hasPropertyRE :: PropertyRE -> Window -> X Bool Source #

Does given window have this property?